GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Functions
client_config.c File Reference
`#include "src/core/client_config/client_config.h"`
`#include <string.h>`
`#include <grpc/support/alloc.h>`

## Data Structures
struct | grpc_client_config

## Functions
grpc_client_config * | grpc_client_config_create ()
void | grpc_client_config_ref (grpc_client_config *c)
void | grpc_client_config_unref (grpc_client_config *c)
void | grpc_client_config_set_lb_policy (grpc_client_config *c, grpc_lb_policy *lb_policy)
grpc_lb_policy * | grpc_client_config_get_lb_policy (grpc_client_config *c)

## Function Documentation

grpc_client_config* grpc_client_config_create | ( |  | ) |

grpc_lb_policy* grpc_client_config_get_lb_policy | ( | grpc_client_config * | c | ) |

void grpc_client_config_ref | ( | grpc_client_config * | c | ) |

void grpc_client_config_set_lb_policy | ( | grpc_client_config * | c,
|  | grpc_lb_policy * | lb_policy
| ) |  |

void grpc_client_config_unref | ( | grpc_client_config * | c | ) |